<div class="equipe-details" *ngIf="equipeDomicile">

  <div class="equipe-name d-flex justify-content-between align-items-center">
    <p>{{ equipeDomicile.nomLong }}</p>
    <img [src]="getTeamLogo(equipeDomicile.nomLong)" alt="Logo de l'équipe">
  </div>

  <div class="equipe-compo">
    <div class="head">
      <p>COMPOSITION</p>
    </div>
    <div class="equipe-compo-content d-flex justify-content-between">
      <ul>
        <li *ngFor="let joueur of equipeDomicile?.joueurs; let i = index" class="d-flex align-items-center mb-1">
          <ng-container *ngIf="i % 2 === 0">
            <i class="fa-solid fa-person"></i>
            <p class="ms-1">{{ joueur.nomCourt }}</p>
          </ng-container>
        </li>
      </ul>
      <ul>
        <li *ngFor="let joueur of equipeDomicile?.joueurs; let i = index" class="d-flex align-items-center mb-1">
          <ng-container *ngIf="i % 2 !== 0">
            <i class="fa-solid fa-person"></i>
            <p class="ms-1">{{ joueur.nomCourt }}</p>
          </ng-container>
        </li>
      </ul>
    </div>



    <div class="stats-content">
      <div class="head">
        <p>STATISTIQUES</p>
      </div>
      <div class="all-match-stats">
        <div>
          <p>Buts: {{buteurs.length}}</p>
          <select [(ngModel)]="joueurSelectionneButeur">
            <option *ngFor="let joueur of equipeDomicile?.joueurs" [ngValue]="joueur">{{joueur.nomCourt}}</option>
          </select>
          <button (click)="ajouterButeur()">+</button>
          <ul>
            <li *ngFor="let joueur of buteurs; let i = index">
              {{joueur.nomCourt}}
              <button (click)="supprimerButeur(i)">-</button>
            </li>
          </ul>
        </div>
        <div>
          <p>Passes: {{passeurs.length}}</p>
          <select [(ngModel)]="joueurSelectionnePasseur">
            <option *ngFor="let joueur of equipeDomicile?.joueurs" [ngValue]="joueur">{{joueur.nomCourt}}</option>
          </select>
          <button (click)="ajouterPasseur()">+</button>
          <ul>
            <li *ngFor="let joueur of passeurs; let i = index">
              {{joueur.nomCourt}}
              <button (click)="supprimerPasseur(i)">-</button>
            </li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</div>
